%global packname restfulr
%global packver 0.0.13

Name:             R-%{packname}
Version:          %{packver}
Release:          1%{?dist}
Source0:          ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{packver}.tar.gz
License:          Artistic 2.0
URL:              http://cran.r-project.org/web/packages/restfulr/index.html
Summary:          R Interface to RESTful Web Services
BuildRequires:    R-devel >= 3.4.0, tetex-latex, R-XML, R-RCurl, gcc
BuildRequires:    R-S4Vectors-devel >= 0.13.15, R-yaml, R-rjson
# Suggests
BuildRequires:    R-getPass
BuildRequires:    R-RUnit
# Not in Fedora
# BuildRequires:  R-rsolr

%description
Models a RESTful service as if it were a nested R list.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css

%check
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/unitTests

%changelog
* Wed Jun 16 2021 Tom Callaway <spot@fedoraproject.org> - 0.0.13-1
- initial package
